Namespace
library
Image / Tag
consul:1.9.5
Content Digest
sha256:940f3675d6dade0cd23a089b05cd1e810121325bb72fa923bff161d9f35c4b66
Details
Created

2021-05-07 19:38:59 UTC

Size

43.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.9.5

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:7aa04a8f7710c18952348aa54b4346438ad013c87b6f7d476eb21ad756359bc3 - 6.14% (2.67 MB)

[#001] sha256:2e3d83dc7299e5e15e47bb5da01c9d0bbbf3e73dd6efd0a3afc40bccf104d6de - 0.0% (1.23 KB)

[#002] sha256:bce95f5e7a87ca85a91ecc5a5ec9bbf163d22684bb544fd248ef760b3419fdcd - 93.85% (40.8 MB)

[#003] sha256:7696b0c39fbf4a398d03b342f94b8dbf3618068c6a47e813226171589936ede9 - 0.0% (174 Bytes)

[#004] sha256:7b6acff100e571a7d633c0e4222cf98bc56191fd6b87f1f6d67026d55444da8b - 0.0% (153 Bytes)

[#005] sha256:e1af8de5224d105c760b27e4c25fe2a7b0ef2ee94dbc86cd06b46125d70bbf00 - 0.0% (1.67 KB)


History
2021-04-14 18:38:36 UTC

/bin/sh -c #(nop) ADD file:0a694887033953f24197dedcb1098d28a4b6e539b29386f53d82262107e208fb in /

2021-04-14 18:38:36 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-04-14 18:55:36 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-04-16 21:38:42 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.5

2021-04-16 21:38:42 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.5

2021-04-16 21:38:43 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-04-16 21:38:43 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-05-07 19:38:56 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-05-07 19:38:57 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-05-07 19:38:57 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-05-07 19:38:57 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-05-07 19:38:58 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-05-07 19:38:58 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-05-07 19:38:58 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-05-07 19:38:58 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-05-07 19:38:58 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-05-07 19:38:59 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-05-07 20:20:08 UTC

Size

44.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.9.5

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:339de151aab4bc06eed8409daae147c408478cb538dacb90cc63f19ad4eba80b - 6.06% (2.67 MB)

[#001] sha256:479a746f994b4de257e28938e880a5e4380264ebf8bb4a8acef9bde7198f8be1 - 0.0% (1.23 KB)

[#002] sha256:a8fcbcbcc3534ee83f0b25808f6573d5fd820496b5978d547d25c6672348d388 - 93.93% (41.4 MB)

[#003] sha256:ac12abe7a1d4c17500514d082d69b899725bf4791bf23a3298e949a705396519 - 0.0% (174 Bytes)

[#004] sha256:917bb6904142b9e755e4d9d4659efc4dff6b3d3fb924eb3cc89ec8601858ca65 - 0.0% (155 Bytes)

[#005] sha256:8b1aa76c5db67a8ff43a6c4ae95a19978ab1338e9daf129a000c903160f88b8b - 0.0% (1.67 KB)


History
2021-04-14 19:19:49 UTC

/bin/sh -c #(nop) ADD file:4f526aa99067d82b341f7ca538f7826b7c23a628f1b615eea2883a2d434c1b90 in /

2021-04-14 19:19:49 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-04-14 20:14:28 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-04-16 21:19:50 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.5

2021-04-16 21:19:50 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.5

2021-04-16 21:19:50 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-04-16 21:19:51 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-05-07 20:20:04 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-05-07 20:20:05 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-05-07 20:20:07 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-05-07 20:20:07 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-05-07 20:20:07 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-05-07 20:20:07 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-05-07 20:20:07 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-05-07 20:20:08 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-05-07 20:20:08 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-05-07 20:20:08 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-05-27 18:50:06 UTC

Size

39.5 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.9.5

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b452d2916bdfd021add56f1eda6bdea35400671ef07b38316ef82fce92a88fee - 6.3% (2.48 MB)

[#001] sha256:5af0d89b146ccc0fa2fbb4115ee957d2c68b85e6dc798411803da5bf1a35b12d - 0.0% (1.23 KB)

[#002] sha256:3fa7d1535a04a0509c51382af4aa1423f1c6f4c83a5d6b9bf9fd79231faf7910 - 93.69% (37 MB)

[#003] sha256:0c224295da897cdc3a598d27164ba4e16af6f42f39d3617a38d517aa43beea10 - 0.0% (174 Bytes)

[#004] sha256:63a0e85361103be59e2efcaa207c24e13d9704705a18066c63f8f9f9817694f4 - 0.0% (154 Bytes)

[#005] sha256:a29ab1359044ccd1375a3dcc6461c0b772b0ac6f3ed8f31ea28d075ff6f3e901 - 0.0% (1.67 KB)


History
2021-04-14 18:49:49 UTC

/bin/sh -c #(nop) ADD file:82fa6a18d24e3f535c9061d2e111d63fe6d8a27710bb34a17b326e605ff478be in /

2021-04-14 18:49:50 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-05-27 18:49:30 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-05-27 18:49:54 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.5

2021-05-27 18:49:54 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.5

2021-05-27 18:49:54 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-05-27 18:49:55 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-05-27 18:50:02 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-05-27 18:50:03 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-05-27 18:50:04 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-05-27 18:50:04 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-05-27 18:50:05 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-05-27 18:50:05 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-05-27 18:50:05 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-05-27 18:50:05 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-05-27 18:50:06 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-05-27 18:50:06 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-05-27 22:03:34 UTC

Size

39.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.9.5

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d2f70382dc9a1658ea3491d7ab4439c22087e426c00e3eb7daf825b83be4ba9c - 6.51% (2.59 MB)

[#001] sha256:3a02f0a8e463594b654334a5b038623d8f2eeb11b5437b73558e549264fb8955 - 0.0% (1.23 KB)

[#002] sha256:6c887c114c0f5d2a25122c2a7d1841a1fcecd911af228c15879dadf51695c7f1 - 93.48% (37.1 MB)

[#003] sha256:bbb205d147053bc6638bd0176cf9ddfce2333c2066089140468abc1125e80553 - 0.0% (174 Bytes)

[#004] sha256:64d7e65ce5a3506aeabc19fa886b098582a65c982861b6666dabd8ed83e48bff - 0.0% (153 Bytes)

[#005] sha256:ebc3137c15229dd759c774252b8d179cc57d64630b57e0b9b7424cfef19b55c5 - 0.0% (1.67 KB)


History
2021-04-14 18:42:54 UTC

/bin/sh -c #(nop) ADD file:3db1e10ac5ebf1cb34939eff736f1384f7d3b17355758cec361489fa7a7e19ca in /

2021-04-14 18:42:55 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-05-27 22:02:34 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-05-27 22:03:25 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.5

2021-05-27 22:03:26 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.5

2021-05-27 22:03:26 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-05-27 22:03:27 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-05-27 22:03:31 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver pool.sks-keyservers.net --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-05-27 22:03:32 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-05-27 22:03:33 UTC

|1 CONSUL_VERSION=1.9.5 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-05-27 22:03:33 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-05-27 22:03:33 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-05-27 22:03:33 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-05-27 22:03:33 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-05-27 22:03:34 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-05-27 22:03:34 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-05-27 22:03:34 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]